@(id: String, vmForm: Form[VM])

@import helper._

@implicitFieldConstructor = @{ FieldConstructor(twitterBootstrapInput.render) }

@title = {
    Create VM
}

@pageTitle = {
    Create VM
}


@main(title, pageTitle) {
    @form(routes.VMController.update(id)) {
        <fieldset>
            @inputText(vmForm("name"),      '_label -> "VM Name")
            @inputText(vmForm("cores"),     '_label -> "# of Cores")
            @inputText(vmForm("memory"),    '_label -> "Memory (GB)")
            @inputText(vmForm("hdd"),       '_label -> "HDD Size (GB)")
            @inputText(vmForm("bandwidth"), '_label -> "Bandwidth (Mbps)")

        </fieldset>

        <div class="actions">
            <input type="submit" value="Save this VM" class="btn btn-primary"> or
            <a href="@routes.VMController.list()" class="btn btn-inverse">Cancel</a>
        </div>
    }
}